#ifndef cTearsApp_H
#define cTearsApp_H

#include "cWinApp.h"

#include "cDisplay.h"
#include "cTearsAppWindow.h"
#include "cTearsStartupMenu.h"
#include "cTearsPictureBook.h"
#include "cTearsPlayer.h"
#include "cTearsActionWindow.h"

enum eTearsEndCodes{
	TEC_NEXT_STAGE = 1000,
	TEC_DEAD
};


class cTearsApp : public cWinApp{
protected:
	// 시스템 자원
	cDisplay Display;

	cTearsAppWindow AppWindow;	// 윈도우 시스템 자원
	cTearsActionWindow ActionWindow;

	// 애플리케이션 초기화
	BOOL Open();
	void Close();

	// 애플리케이션 진행
	int Run();
	int AppLoop();
	eStartupMenuItemID StartupMenu();

	int GameMain();
	int GameBody(cTearsPlayer *pPlayer);

	// 데몬스트레이션
	BOOL Prologue();
	BOOL Title();
	BOOL Epilogue();

public:
	cTearsApp();
	virtual ~cTearsApp();

};

extern cTearsPictureBook PictureBook;


#endif
